Fetch Contact by Emails
1 min
GET
https://api.nue.io/contacts
Query Parameters
- emailsstring[]requiredDescription
Responses
200
- object
- statusstring<SUCCESS | PARTIAL_SUCCESS | FAILURE>DescriptionAllowedSUCCESSPARTIAL_SUCCESSFAILURE
- dataobject[]Description
- billingCitystringDescription
- billingCountrystringDescription
- billingPostalCodestringDescription
- billingStatestringDescription
- billingStreetstringDescription
- birthdaystring<date>DescriptionFormatdate
- createdByIdstringDescription
- createdDatestring<date-time>DescriptionFormatdate-time
- customerIdstringDescription
- emailstring<email>DescriptionFormatemail
- firstNamestringDescription
- idstringDescription
- lastModifiedByIdstringDescription
- lastModifiedDatestring<date-time>DescriptionFormatdate-time
- lastNamestringDescription
- middleNamestringDescription
- mobilePhonestringDescription
- namestringDescription
- phonestringDescription
- shippingCitystringDescription
- shippingCountrystringDescription
- shippingPostalCodestringDescription
- shippingStatestringDescription
- shippingStreetstringDescription
- suffixstringDescription
- titlestringDescription
- warningsobject[]Description
- codestringDescription
- messagestringDescription
400
401
curl
curl --request GET \
--url 'https://api.nue.io/contacts?emails=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/contacts?emails=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/contacts?emails=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/contacts?emails=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
{
"status": "",
"data": [
{
"billingCity": "",
"billingCountry": "",
"billingPostalCode": "",
"billingState": "",
"billingStreet": "",
"birthday": "",
"createdById": "",
"createdDate": "",
"customerId": "",
"email": "",
"firstName": "",
"id": "",
"lastModifiedById": "",
"lastModifiedDate": "",
"lastName": "",
"middleName": "",
"mobilePhone": "",
"name": "",
"phone": "",
"shippingCity": "",
"shippingCountry": "",
"shippingPostalCode": "",
"shippingState": "",
"shippingStreet": "",
"suffix": "",
"title": ""
}
],
"warnings": [
{
"code": "",
"message": ""
}
]
}400
// Bad Request - The request was malformed or contained invalid parameters
401
// Unauthorized - Authentication information is missing or invalid